package com.huimv.admin.service.primary;

import com.huimv.admin.domain.primary.SysGroupEntity;
import com.huimv.admin.utils.Result;
import org.springframework.data.domain.Page;

public interface IGroupService {


    Result updateGroup(Integer groupId, String groupName, String remark);

    Result removeGroup(Integer groupId);

    Page<SysGroupEntity> listGroup(int pageNum, int pageSize, String searchStr);

    Result addGroup(String groupName, String remark);
}
